#
# spec file for package rubygem-timeout
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-timeout
Version:        0.4.1
Release:        1.1
%define mod_name timeout
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.6.0}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/ruby/timeout
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Auto-terminate potentially long-running operations in Ruby
License:        Ruby and BSD-2-Clause

%description
Auto-terminate potentially long-running operations in Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- 0.4.1:
  [#]# What's Changed
  * require ruby version in gemspec by @jjb in https://github.com/ruby/timeout/pull/35
  * test that work is done in the same thread/fiber as the caller by @jjb in https://github.com/ruby/timeout/pull/34
  * Require Ruby >= 2.6 for the timeout gem by @eregon in https://github.com/ruby/timeout/pull/37
  * nested exception tests for discussion by @jjb in https://github.com/ruby/timeout/pull/39
  * tests for blank seconds by @jjb in https://github.com/ruby/timeout/pull/40
  * *Full Changelog**: https://github.com/ruby/timeout/compare/v0.4.0...v0.4.1
  0.4.0:
  [#]# What's Changed
  * Update test libraries from ruby/ruby 2023-03-24 by @hsbt in https://github.com/ruby/timeout/pull/29
  * Use released version of test-unit-ruby-core by @nobu in https://github.com/ruby/timeout/pull/31
  * Raise exception instead of throw/catch for timeouts by @jeremyevans in https://github.com/ruby/timeout/pull/30
  * *Full Changelog**: https://github.com/ruby/timeout/compare/v0.3.2...v0.4.0
  0.3.2:
  [#]# What's Changed
  * Add Ruby 3.2 to CI matrix by @tricknotes in https://github.com/ruby/timeout/pull/23
  * Don't move the timer_thread when it's enclosed #24 by @gamecreature in https://github.com/ruby/timeout/pull/25
  * Improve actions by @hsbt in https://github.com/ruby/timeout/pull/26
  [#]# New Contributors
  * @tricknotes made their first contribution in https://github.com/ruby/timeout/pull/23
  * @gamecreature made their first contribution in https://github.com/ruby/timeout/pull/25
  * *Full Changelog**: https://github.com/ruby/timeout/compare/v0.3.1...v0.3.2
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.3.1
  no changelog found
* Mon Jun 13 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 0.3.0
  no changelog found
* Thu Mar 10 2022 Manuel Schnitzer <mschnitzer@suse.com>
- initialize package
